Operation Run
The operation run resource.
Base/operationRun
GET
/operationRunList operation runs
Retrieve a paginated list of operation runs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/operationRun
curl --request GET \
--url '<your-host>/operationRun?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"companyId": "xyz789",
"operation": "string",
"idempotencyKey": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/operationRunRetrieve a operation run
Fetch a single operation run by filtering on `companyId`.
Query parameters
companyIdstringMatch on the operation run's `companyId`, e.g. `eq.{id}`.
GET/operationRun
curl --request GET \
--url '<your-host>/operationRun?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"companyId": "xyz789",
"operation": "string",
"idempotencyKey": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/operationRunCreate a operation run
Create a new operation run.
POST/operationRun
curl --request POST \
--url <your-host>/operationRun \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789"}'Response
{
"companyId": "xyz789",
"operation": "string",
"idempotencyKey": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/operationRunUpdate a operation run
Update an existing operation run, matched on `companyId`.
PATCH/operationRun
curl --request PATCH \
--url '<your-host>/operationRun?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"companyId": "xyz789",
"operation": "string",
"idempotencyKey": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/operationRunDelete a operation run
Delete a operation run, matched on `companyId`. Returns 204 No Content.
Query parameters
companyIdstringThe `companyId` of the operation run to delete, e.g. `eq.{id}`.
DELETE/operationRun
curl --request DELETE \
--url '<your-host>/operationRun?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content